Skip to main content
PUT
Update AccessToken

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

An access token provides programmatic API authentication for a user.

changeSequence
integer<int32>

Optimistic locking version number.

createdOn
string<date-time>

Timestamp when the access token was created.

expiresAt
string<date-time> | null
id
string

Unique identifier (UUID) for the access token.

intakeId
string | null
name
string
scope
string | null
tokenHint
string
updatedOn
string<date-time>

Timestamp when the access token was last updated.

user
object | null

A platform user represents a user account in the Kodexa platform.

userId
string | null
uuid
string

Secondary UUID identifier.

Response

Updated AccessToken

An access token provides programmatic API authentication for a user.

changeSequence
integer<int32>

Optimistic locking version number.

createdOn
string<date-time>

Timestamp when the access token was created.

expiresAt
string<date-time> | null
id
string

Unique identifier (UUID) for the access token.

intakeId
string | null
name
string
scope
string | null
tokenHint
string
updatedOn
string<date-time>

Timestamp when the access token was last updated.

user
object | null

A platform user represents a user account in the Kodexa platform.

userId
string | null
uuid
string

Secondary UUID identifier.